FROM rust:1.50-buster as BUILD

ARG VERSION=0.5.0

RUN apt-get update && \
    apt-get install -y curl && \
    curl -L https://git.sr.ht/~int80h/gemserv/archive/v${VERSION}.tar.gz -o gemserv.tar.gz && \
    tar xzvf gemserv.tar.gz && \
    cd gemserv-v${VERSION} && \
    cargo build --release && \
    cp target/release/gemserv /gemserv

FROM debian:buster-slim

RUN apt-get update && apt-get install -y libssl1.1 && rm -rf /var/lib/apt/lists/*

COPY --from=BUILD /gemserv /gemserv

COPY start.sh /start.sh

RUN chmod +x /start.sh

CMD "/start.sh"
